PV inverter data
curl --request GET \
--url https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId} \
--header 'X-API-KEY: <api-key>'import requests
url = "https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId}"
headers = {"X-API-KEY": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'X-API-KEY': '<api-key>'}};
fetch('https://api.energy-hub.io/v1.0.0/pv-inverters/{pvInverterId}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"isOnline": true,
"id": "6eb5497d-c6bb-4290-84ef-4409fe9501f1",
"userId": "896f9d5a-b618-48a2-98ae-957059bf1bc9",
"staticData": {
"lastUpdated": "2023-11-07T05:31:56Z",
"vendor": "FRONIUS",
"name": "My device",
"model": "Sunny Device",
"siteName": "My Home"
},
"lastUpdated": "2023-11-07T05:31:56Z",
"powerState": {
"lastUpdated": "2023-11-07T05:31:56Z",
"state": "PRODUCING",
"solarPower": 12
},
"locationId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}{
"errorCode": "UNAUTHORIZED",
"id": "57da008b-bd4d-442e-b8f8-584cb9058e29",
"message": "Unauthorized"
}{
"errorCode": "PV_INVERTER_NOT_FOUND",
"id": "57da008b-bd4d-442e-b8f8-584cb9058e29",
"message": "[PV_INVERTER] Requested PV inverter not found"
}PV-Inverter
PV inverter data
Returns PV inverter data of a single PV inverter.
GET
/
v1.0.0
/
pv-inverters
/
{pvInverterId}
PV inverter data
Authorizations
API key used for authorization and authentication.
Path Parameters
PV inverter ID
Response
Successful operation
Object of PV inverter response.
Indicates if the PV inverter is reachable trough the vendor system.
Example:
true
The ID of the PV inverter device.
Example:
"6eb5497d-c6bb-4290-84ef-4409fe9501f1"
The ID of the user.
Example:
"896f9d5a-b618-48a2-98ae-957059bf1bc9"
Object of static data of a home energy device.
Show child attributes
Show child attributes
The timestamp of the last update of any field in the PV inverter.
Object of power state of a PV inverter.
Show child attributes
Show child attributes
The location ID of the battery.
⌘I

